Package org.pushingpixels.substance.flamingo.common.ui

# Class SubstanceCommandMenuButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI
org.pushingpixels.substance.flamingo.common.ui.SubstanceCommandButtonUI
org.pushingpixels.substance.flamingo.common.ui.SubstanceCommandMenuButtonUI

All Implemented Interfaces:
  `ActionPopupTransitionAwareUI`, `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

public class SubstanceCommandMenuButtonUI extends SubstanceCommandButtonUI
UI for `JCommandMenuButton` components in Substance look and feel.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected MouseListener`
`rolloverMenuMouseListener`
Rollover menu mouse listener.

### Fields inherited from class org.pushingpixels.substance.flamingo.common.ui.SubstanceCommandButtonUI

`backgroundDelegate, overallStateTransitionTracker, substanceOverallRolloverListener, substancePropertyListener, substanceVisualStateTracker`

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`basicPopupButtonListener, buttonRendererPane, commandButton, disposePopupsActionListener, DONT_DISPOSE_POPUPS, EMULATE_SQUARE_BUTTON, isUnderMouse, layoutInfo, layoutManager, popupActionIcon, popupActionListener, propertyChangeListener, rendererButton, rendererSeparator`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceCommandMenuButtonUI(org.pushingpixels.flamingo.api.common.JCommandMenuButton button)`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`fireRolloverActionPerformed(ActionEvent e)`
Fires the rollover action on all registered handlers.
`protected void`
`installListeners()`
`protected void`
`uninstallListeners()`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class org.pushingpixels.substance.flamingo.common.ui.SubstanceCommandButtonUI

`createPopupActionIcon, getActionTransitionTracker, getPopupTransitionTracker, getPreferredSize, getTransitionTracker, installDefaults, isInside, isPaintingBackground, isPaintingSeparators, paint, paintButtonBackground, paintButtonHorizontalSeparator, paintButtonIcon, paintButtonVerticalSeparator, paintPopupActionIcon, syncDisabledIcon, updateBorder`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`configureRenderer, createButtonListener, createPopupActionListener, createRendererButton, getForegroundColor, getIconToPaint, getKeyTipAnchorCenterPoint, getLayoutGap, getLayoutInfo, installComponents, installKeyboardActions, installUI, paintButtonBackground, processPopupAction, syncIconDimension, toUseDisabledIcon, unconfigureRenderer, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallUI, updateCustomDimension, updatePopupActionIcon`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rolloverMenuMouseListener

protected MouseListener rolloverMenuMouseListener
Rollover menu mouse listener.

## Constructor Details

### SubstanceCommandMenuButtonUI

public SubstanceCommandMenuButtonUI(org.pushingpixels.flamingo.api.common.JCommandMenuButton button)

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `SubstanceCommandButtonUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `SubstanceCommandButtonUI`

### fireRolloverActionPerformed

protected void fireRolloverActionPerformed(ActionEvent e)
Fires the rollover action on all registered handlers.

Parameters:
  `e` - Event object.

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI`